What is Search Engine Builder?

Many visitors to your website usually go for particular information. And if they have to take much time to find what they want, you will be sure to lose some of them.

Search Engine Builder is specifically designed to help you out of that problem. It indexs your whole website quickly and generate a efficient search engine for your website.Make it more easy for your visitors to find things from your website and make your website looks more professional.

Creating a search engine with this tool is relaxing and interesting.What you need to do is just clicking several buttons.Let the tedious spider code keep faraway from you.


Benefits

  • Make it more easy for your visitors to find things from your website.
  • Make your website looks more professional.
  • Page template enable you to add menu bar,web logo,company info etc. to generate beautiful search and result pages.
  • Select your favorite style, font and color to output the search result.
  • Easy to work with multitudinous websites.
  • You can also build a search tool for searching your note-taking,download web pages etc.
  • Registered users receive FREE upgrades and technical support for life.


The Main Menu of Search Engine Builder

Main Menu

Index
Index Folder Select a path or a drive to start indexing the files or pages for searching. If you have a copy of files of the website in your hard disk, you can use "Index Folder" because it's much faster.
Index Website Input a URL to specify a website to start indexing for searching.If you want to make a search engine for a website you often visit, but the website files don't in your computer, you can use "Index Website". Also if you have a copy of files of the website in your hard disk and you can visit the website with URL such as "http://local/mywebsite" through the web server on your own computer, you can use "Index Website". It's also fast.
Make Search File Build a search engine with the option you specified and generate some files that you can add to your own website.
Run Search File Run the search engine generated by this program for testing.
Exit Exit this program.

Tools
Select Active Option You may have more than one website and need to create different option for each website. Select a option to apply. Click "Save as" to create a new option. Click "Rename" to change the name of selected option. Click "Edit" to edit current selected option.
Edit Active Option Edit current active option. You can click "Select Active Option" to set another option as current active option.

Help
Contents Display help contents.
Support Homepage Go to the support homepage for more information and technical support.
Support Email Open the default email program such as outlook to be ready for sending some questions or suggestions etc to the author.
About Search Engine Builder Display program information, version number and copyright information.


The Options of Search Engine Builder

Options -- Save Links

Select a type for the hyperlinks in the search result:

Use Relative Links:
The searching result links output by the search engine will use relative links such as "products/pichunt","products/pichunt/index.html" etc.
If you use relative links, to ensure the search result links working correctly you must place the generated search engine files to the right path. For example, you index "c:\mysitefiles\" and make search files for it, you must put the generated search files to "c:\mysitefiles\", and if index a website such as you index "http://www.site.com", you must put the file to the server and under path of "http://www.site.com".

Use Absolute Links:
The searching result links output by the search engine will use absolute links such as "http://www.aleadsoft.com/products/pichunt", "http:// www.aleadsoft.com /products/ pichunt/ index.html" etc.
If you use absolute links,you can put the generated files anywhere. But when the path of folder that has been indexed changed or the website's domain name changed, you must index them again to ensure the search result links working.

Replace root path of links with following URL or path: Check it if you index a local folder and will upload it to Internet with correct absolute links or to CDROM etc.
URL or Path: Input the URL or Path you will replace root path of links with.

Options -- Index Files

Index file types
Html type: Specify html file types to index. Other types of html file will be ignored. You can only use "," to separate the types. Such as htm,html,shtm,shtml,asp,php,php3. The program will ignore the tags, script etc of these types of file when indexing.

Text type: Specify text file types to index. Other types of text file will be ignored. You can only use "," to separate the types. Such as txt,rtf,c,h,cpp. The program will get the whole text of these type files when indexing.

Do not index these files:
If you don't want to index some files or folders because it is "secret" and so on, you can add them to the list box. Then the scan will disregard these specified folders and files when indexing.
Add Files: add the files that you don't want to be searched by the generated search engine.
Add Folder: add the folder that you don't want to be searched by the generated search engine.
Add URL: add the URL that you don't want to be searched by the generated search engine when you using "Index Website".

Options -- Template

Template for customizing output of search start page and search result page. Keep in mind that the templates don't include indexed data,so it can't do search work until indexed and maked.

Select a file to edit:
search.html: Template page for customizing output of search start page.
result.html: Template page for customizing output of search result page.
FrameSearch.html: Template page for customizing output of search start page when you using Frame in output. You need do nothing to "FrameSearch.html" if you will not use frame in your search pages.

Options -- Output

Output path:
Output path: Specify a path for output of the generated search engine files.
Output style:
Where do you want to output the search result: Specify where you want to output the search result. Generally we will use "The same window with search page".
Which do you want to be included in the output of search result: Specify which you want to be included in the output of search result. Generally we will check all the three option or only check the "result title".


How to begin?

To build a search engine,you can follow the instruction below step by step to accomplish building a simple default search engine.

1.Index a website or folder:
Run Search Engine Builder from start menu or desktop. Choose "Index Folder" or "Index Website" from the menu or click "Folder" and "Website" on the toolbar to start indexing the files that you want to make them searchable. (See when to use "Index Folder" and when "Index Website"?)

2.Make search engine:
Choose "Make Search File" from the menu or click "Make" on the toolbar to start making the search engine.This will generated several files to the output path.You can also click "Run" on the toolbar to test the generated search engine.
Generally,it will generate three files named "search.html","searchfunc.js" and "webdata.js" and the file "search.html" is the main file. If you use frame for outputing the search result,there will be other two files nambed "FrameSearch.html" and "result.html" and the file "FrameSearch.html" is the main file.There also will be some pictures if you use them in your template pages.(See How can I use my own template generate search start and result page?)

3.Copy the generated search engine files to your path:
You can copy these files to the folder or the website that you have just indexed. If you use "Use Relative Links" for saving links,you need to put these generated files just under the root path of the folder or website to insure the search result will link correctly to your pages. (See When to use relative links and when absolute links?)

4.Add the generated search engine to your website:
The simple way is adding a link that point to the search engine's main file to your web pages.Then if your visitors want to do a search they can click the link to enter the search engine page.
If you want go further,you can add the search form to every page of your website.Open the file "search.html" then you can find the following code

<script LANGUAGE="JavaScript" src="searchfunc.js"> </script>
(The code above is in the <HEAD> section)

<FORM name=formSear action="javascript:RunSearch()" method="POST">
<p align="center">
<INPUT name=searWords >&nbsp;<INPUT name=Send type=submit value=Search>
</FORM>
(The code above is in the <BODY> section)

Copy the two codes in the table above and insert them to the corresponding position on every page that you want to display the search engine form. One in <HEAD> section,one in <BODY> section.
NOTE: Notice the command src="searchfunc.js" of the code in the first table using relative path to point the file "searchfunc.js",you need to change it to absolute path such as src="http://www.yoursite.com/searchfunc.js" or different value in different pages such as src="../searchfunc.js" or src="mysubfolder/searchfunc.js".Otherwise,the file will can't be be located by your web browser.


Frequently Asked Questions

Introduction
 What is Search Engine Builder?
How does it work?
What can I do with it?
What is the system requirement?
Purchase
Is your online order form secure?
Do I have to pay for the upgrades and technical support?
What happens after I send in the order?
Details & Tips
 Can you tell me when I use "Index Folder" and when "Index Website"?
 When I should use relative links and when absolute links?
 How can I use my own template generate search start and result page?
 I have entered the registration code, but I can still index only 6 pages - Why?
 I have more questions - who should I write to?

Introduction

What is Search Engine Builder?
Search Engine Builder is a hip software tool that helps you to create a search engine for your website. It add a search tool to your website to make it more easy for your visitors to find things from and make your website looks more professional.To build a professional search engine with this tool,what you need to do is just clicking several buttons.

How does it work?
Simply click "Index Folder" menu or "Index Website" menu to select a folder or website to start index. After the indexing is finished, you can click "Preview Search File" menu to preview the search engine in web browser and test it, or you can click "Make Search File" to generate search engine files to the output path for using on your website.Then you can upload these es generated files to your website.Generally,you can put these files on the root path of your website.Then add a link point to file "search.html" to the page of your website.Your visitor can do search on your website now.

What can I do with it?
Make search engine! make search engine for your website, for your downloaded web pages, note-taking, source code, any html or text type files. Such as you can make a search engine for your customers to search your products or for yourself to search your note-taking etc.

What is the system requirement?
You will need a Pentium 100 PC or higher, 16MB RAM or more. The operating system should be Windows 95, Windows 98, Windows 2000, Windows NT 4.0, or Windows ME.

Purchase

Buy Now to enjoy it today!

Is your online order form secure?
Yes, it is secure. Many people select online payment option. Also you can use PayPal that will not give your credit card info to others and offline payment option such as pay by phone,fax or mail etc.

Do I have to pay for the upgrades and technical support?
All upgrades are free to registered users of Search Engine Builder for life. You can always get the newest version of this tool. Technical support is free to all our customers. Any question please feel free to contact us.

What happens after I send in the order?
You will receive an email confirming your order shortly after sending the online order form. Then, within 24 hours, you will receive a second email with your registration name, code, and instructions to get started!

If you do not get your code... or if you've lost it (Hey, it happens! :) ... please email us at support@aleadsoft.com. Please include your name, address, email address. We will be happy to help you.

Details & Tips

Can you tell me when I use "Index Folder" and when "Index Website"?
Use "Index Folder" when:
1. You just want to index text files such as your note-taking.
2. You have a copy of the files of the website on your hard disk. It's faster than index website on the Internet.
Use "Index Website" when:
1. You want to create a search engine for a website you often visit, but the website files don't on your computer.
2. You can visit the website through URL such as "http://local/mywebsite" without connecting to Internet. In this way,you can also index your dynamical contents generated by ASP or PHP. Because your local web sever will execute the script and return the generated static contents.

When I should use relative links and when absolute links?
If you use relative links, to ensure the search result links working correctly you must place the generated search engine files to the right path. For example, you index "c:\mysitefiles\" and make search files for it, you must put the generated search files to "c:\mysitefiles\", and if index a website such as you index "http://www.site.com", you must put the file to the server and under the root path of "http://www.site.com".
If you use absolute links,you can put the generated files anywhere. But when the path of folder that has been indexed changed or the website's domain name changed, you must index them again to ensure the search result links working.
So, if you index folder or your website, we recommend you use relative links. Only when you index other's website you must use absolute links.

How can I use my own template generate search start and result page?
You can add or delete your own template on the "Template" page of "Options" dialog. When you click to add a template,this program will copy the simple template as a frame for you to modify it so that you needn't to create a empty new one.Then you can add everything you want to the search start page template (named "search.html") and the search result page (named "result.html").If you use frame in the search page then the search start page is named "FrameSearch.html".

NOTE: When you modify the search result template page "result.html", you should not remove the variable <%CONTENT%> in the body section. Because it will be replaced with the search result. You can insert anything before and after it,such as menu bar,web logo etc.
You need do nothing to "FrameSearch.html" if you will not use frame in your search pages.

 I have entered the registration code, but I can still index only 6 pages - Why?
Perhaps you have entered a wrong registration code. When registered correctly, the "buy now" and "register" menus and buttons will disappear from the program's main screen. If they do not, the code has not been entered correctly. Please try again.

I have more questions - who should I write to?
Please send your additional questions to support@aleadsoft.com.

Click here to visit this page on our website,that will be always newest and has more questions and answers on it.


Getting program updates

All registered users of our products receive FREE upgrades and technical support for life. You can always get the newest version. Download the newest version from the following sources:

Download page link:
http://www.aleadsoft.com/searchmaker/downloads.html

Download file links:
http://www.aleadsoft.com/SearchMakerSetup.exe
http://www.qwerks.com/download/4695/SearchMakerSetup.exe


Getting technical support and contributing feedback

Technical Support

By purchasing our products, you will receive ongoing, preferred treatment by our technical support team, should the need arise! Please feel free to contact us.

Before contacting us,check our Frequently Asked Questions for Search Engine Builder. Most likely your question or problem is already answered there. If it is not, or if you just need more help, then send email to support@aleadsoft.com and let us help you. Also you can use our Technical Support Online Submit Form to send messages to us if you prefer this simple way.

Feedback

If you have any comments or concerns about Search Engine Builder please direct them to comment@aleadsoft.com. Your feedback is important to us in order to get an idea of how to make Search Engine Builder a better product for you. Many of Search Engine Builder’s features and significant portions of Search Engine Builder’s interface have been heavily influenced by comments from users. So if you have a grand idea for a new feature, or a better way of doing something, please drop us a note.


License information

Search Engine Builder Version 1.50
Copyright (C) 2002 Sea Moon Technology,Inc. All Rights Reserved.
Web http://www.aleadsoft.com
Email support@aleadsoft.com

END-USER LICENSE AGREEMENT ("EULA") FOR THIS SOFTWARE:
IMPORTANT-READ CAREFULLY !
-----------------------------------------------------------------------------------------------
This EULA is a binding legal agreement between you (either an individual or a single
entity) and the mentioned author of this Software for the SOFTWARE PRODUCT
identified above, which includes computer software and may include associated media,
printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT").
By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be
bound by the terms of this EULA.

The SOFTWARE PRODUCT is protected by copyright laws and international copyright
treaties, as well as other intellectual property laws and treaties. The SOFTWARE
PRODUCT is licensed by the author, not sold.

Each licensed copy of the Sea Moon Technology,Inc. software may be used in only one
single location by one user. Use of the software means that you have loaded the program
and run it or have installed the program onto a computer. If you install the software onto
a multi-user platform or network, each and every individual user of the software must be
licensed separately or be covered by a site license.

You may make one copy of the licensed software for backup purposes, providing you only have
one copy installed on one computer being used by one person (or number of users covered in a
site license purchase). Other users may not use your copy of this program.

1. Evaluation and Registration

This is not free software. You are hereby licensed to use this software for evaluation
purposes without charge for a limited functions. If you want use this software with full
functions a registration fee of $49.95 (US Dollars) is required.

2. Distribution

The Evaluation release (select the "About" tab to check) of this SOFTWARE PRODUCT may
be freely distributed with as many copies of the Evaluation release of this software and
documentation as you wish as long as exact copies of the original Evaluation release
packages are distributed via electronic means. There is no charge for any of the above,
the author just wants to receive a short mail informing about it which helps him to
maintain the last versions around. Alternatively, you could also send us a reference
CD, the URL of your website (when you link to the SOFTWARE PRODUCT) or a
copy of the article about the SOFTWARE PRODUCT for reference purposes.

3. Responsibilities and Warranties.

The Author of this Software expressly disclaims any warranty for the SOFTWARE
PRODUCT. You acknowledge that the SOFTWARE PRODUCT is provided "as is"
and "with all faults, defects and errors" without warranty of any kind, either express
or implied, including, without limitation, the implied warranties or merchantability,
fitness for a particular purpose, or noninfringement, and that all use of the Program
is at your own full risk.

No Liability for damages.
In no event shall the author of this Software be liable for any damages whatsoever
(including, without limitation, damages for loss of business profits, business interruption,
loss of business information, or any other pecuniary loss) arising out of the use of or
inability to use this product, even if the Author of this Software has been advised of
the possibility of such damages. Because some states / jurisdictions do not allow the
exclusion or limitation of liability for consequential or incidental damages, the above
limitation may not apply to you. In this case the Author of this Software will only be
liable for the amount of money you spent for this SOFTWARE PRODUCT in exchange
for the return of the product, all copies, registration papers and manuals, and all materials
that constitute a transfer of ownership from the customer back to the Software Author.

4. Limitations on Reverse Engineering, Decompilation, and Disassembly.

You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT,
except and only to the extent that such activity is expressly permitted by applicable
law notwithstanding this limitation.

5. Termination.

Without prejudice to any other rights, the Author of this Software may terminate this
EULA if you fail to comply with the terms and conditions of this EULA. In such event,
you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

6. Copyrights.

All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to
any images, photographs, animations, video, audio, music, text, and "applets" incorporated
into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of
the SOFTWARE PRODUCT are owned by the Author of this Software. The SOFTWARE PRODUCT is
protected by copyright laws and international treaty provisions. The following applies for
the registered/professional version only: Therefore, you must treat the SOFTWARE
PRODUCT like any other copyrighted material except that you may install the SOFTWARE
PRODUCT on a single computer provided you keep the original solely for backup or
archival purposes.

7. In case of questions

Should you have any questions concerning this EULA, or if you desire to contact the au-
thor of this Software for any reason, please contact him/her at support@aleadsoft.com.

8. RESERVED RIGHTS.

All rights not expressly granted here are reserved to Sea Moon Technology,Inc. and/or the
respective authors (listed either in the documentation or within the SOFTWARE).

The author reserves the right to make exceptions to any of these conditions, or alter these
conditions, at any time. However, you may always use these conditions instead of any altered
version if you prefer (note that this licence explicitly applies only to one version of the
program; therefore, if Sea Moon Technology,Inc. makes new conditions in connection with a
future version, you do not then have the right to apply these conditions to that version
instead).

[END OF LICENSE.TXT]


Getting a multiple-user site license

If your company or institution is interested in licensing Search Engine Builder for several users, you can save a lot of money by purchasing a site license. The program is licensed to your company for use at a single site with the agreed upon number of users.

To link to our pricing schedule for site licenses click here:
http://www.aleadsoft.com/searchmaker/purchase.html

If you are interested in arranging a site license, please contact us:

E-mail: sales@aleadsoft.com